SyncMLClientLoader Class Reference
Inheritance diagram for SyncMLClientLoader:

## Public Member Functions

Buteo::ClientPlugin * | createClientPlugin (const QString &pluginName, const Buteo::SyncProfile &profile, Buteo::PluginCbInterface *cbInterface) override
| Creates SyncML client plugin.

## Member Function Documentation

## createClientPlugin()

Buteo::ClientPlugin * SyncMLClientLoader::createClientPlugin | ( | const QString & | pluginName,
|  | const Buteo::SyncProfile & | profile,
|  | Buteo::PluginCbInterface * | cbInterface )

override

Creates SyncML client plugin.

Parameters

  aPluginName | Name of this client plugin
  aProfile | Profile to use
  aCbInterface | Pointer to the callback interface

Returns
  Client plugin on success, otherwise NULL

The documentation for this class was generated from the following file:

- SyncMLClient.h